Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.textControlEnablement.model
Interface VTTextControlEnablementStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTTextControlEnablementStylePropertyImpl

    public interface VTTextControlEnablementStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

Since:
  1.5

  The following features are supported:

  - `Render Disable As Editable`
See Also:
  `VTTextControlEnablementPackage.getTextControlEnablementStyleProperty()`

Method Summary
`boolean` | `isRenderDisableAsEditable()` Returns the value of the 'Render Disable As Editable' attribute.
`void` | `setRenderDisableAsEditable(boolean value)` Sets the value of the ' `Render Disable As Editable`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRenderDisableAsEditable

    boolean isRenderDisableAsEditable()

  Returns the value of the 'Render Disable As Editable' attribute. The default value is `"false"`.

  If the meaning of the 'Render Disable As Editable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Disable As Editable' attribute.
  See Also:
    `setRenderDisableAsEditable(boolean)`, `VTTextControlEnablementPackage.getTextControlEnablementStyleProperty_RenderDisableAsEditable()`

### setRenderDisableAsEditable

    void setRenderDisableAsEditable(boolean value)

  Sets the value of the ' `Render Disable As Editable`' attribute.

  Parameters:
    `value` - the new value of the 'Render Disable As Editable' attribute.
  See Also:
    `isRenderDisableAsEditable()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.